diff --git a/src/video/x11/SDL_x11sym.h b/src/video/x11/SDL_x11sym.h
index a550dc2e9456..b6e3a87266a7 100644
--- a/src/video/x11/SDL_x11sym.h
+++ b/src/video/x11/SDL_x11sym.h
@@ -276,6 +276,8 @@ SDL_X11_MODULE(XINPUT2)
 SDL_X11_SYM(XIDeviceInfo*,XIQueryDevice,(Display *a,int b,int *c),(a,b,c),return)
 SDL_X11_SYM(void,XIFreeDeviceInfo,(XIDeviceInfo *a),(a),)
 SDL_X11_SYM(int,XISelectEvents,(Display *a,Window b,XIEventMask *c,int d),(a,b,c,d),return)
+SDL_X11_SYM(int,XIGrabTouchBegin,(Display *a,int b,Window c,int d,XIEventMask *e,int f,XIGrabModifiers *g),(a,b,c,d,e,f,g),return)
+SDL_X11_SYM(int,XIUngrabTouchBegin, (Display *a,int b,Window c, int d,XIGrabModifiers *e),(a, b, c, d, e),return)
 SDL_X11_SYM(Status,XIQueryVersion,(Display *a,int *b,int *c),(a,b,c),return)
 SDL_X11_SYM(XIEventMask*,XIGetSelectedEvents,(Display *a,Window b,int *c),(a,b,c),return)
 #endif
diff --git a/src/video/x11/SDL_x11xinput2.c b/src/video/x11/SDL_x11xinput2.c
index 9f30da4b6aac..33685d80d0b8 100644
--- a/src/video/x11/SDL_x11xinput2.c
+++ b/src/video/x11/SDL_x11xinput2.c
@@ -366,7 +366,7 @@ X11_Xinput2GrabTouch(_THIS, SDL_Window *window)
     XISetMask(eventmask.mask, XI_TouchEnd);
     XISetMask(eventmask.mask, XI_Motion);
 
-    XIGrabTouchBegin(display, XIAllDevices, data->xwindow, True, &eventmask, 1, &mods);
+    X11_XIGrabTouchBegin(display, XIAllDevices, data->xwindow, True, &eventmask, 1, &mods);
 #endif
 }
 
@@ -382,7 +382,7 @@ X11_Xinput2UngrabTouch(_THIS, SDL_Window *window)
     mods.modifiers = XIAnyModifier;
     mods.status = 0;
 
-    XIUngrabTouchBegin(display, XIAllDevices, data->xwindow, 1, &mods);
+    X11_XIUngrabTouchBegin(display, XIAllDevices, data->xwindow, 1, &mods);
 #endif
 }
 
